<button (click)='isInComfirmStep ? remove() : toogleConfirmStep(true)' (blur)="toogleConfirmStep(false)" [ngClass]="{'colapse': !isInComfirmStep}" class="miam-delete-confirm">
  <span class="miam-delete-confirm__text" [ngClass]="{'colapse': !isInComfirmStep}">êtes-vous sûr ?</span>
  <ng-miam-icon  (click)="isInComfirmStep ? cancel($event) : ''" [width]="24" [height]="24" [iconName]=" isInComfirmStep ? icon.Clear : icon.Trash"></ng-miam-icon>
</button>